Package org.apache.lucene.util.quantization

## Interface RandomAccessQuantizedByteVectorValues

- All Superinterfaces:
    `RandomAccessVectorValues<byte[]>`
  All Known Implementing Classes:
    `OffHeapQuantizedByteVectorValues`, `OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`

      public interface RandomAccessQuantizedByteVectorValues
      extends RandomAccessVectorValues<byte[]>

  Random access values for `byte[]`, but also includes accessing the score correction constant for the current vector in the buffer.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RandomAccessQuantizedByteVectorValues` | `copy()` | Creates a new copy of this `RandomAccessVectorValues`.
    `float` | `getScoreCorrectionConstant()` |

    - ### Methods inherited from interface org.apache.lucene.util.hnsw.RandomAccessVectorValues

      `dimension, getAcceptOrds, ordToDoc, size, vectorValue`

- - ### Method Detail

    - #### getScoreCorrectionConstant

          float getScoreCorrectionConstant()

    - #### copy

          RandomAccessQuantizedByteVectorValues copy()
                                              throws IOException

      Description copied from interface: `RandomAccessVectorValues`
      Creates a new copy of this `RandomAccessVectorValues`. This is helpful when you need to access different values at once, to avoid overwriting the underlying float vector returned by `RandomAccessVectorValues.vectorValue(int)`.
      Specified by:
        `copy` in interface `RandomAccessVectorValues<byte[]>`
      Throws:
        `IOException`